std::bitset< _Nb >::reference(3cxx)

NAME
std::bitset< _Nb >::reference

SYNOPSIS

#include <bitset>

  Public Member Functions

reference (bitset &__b, size_t __pos) noexcept
reference (const reference &)=default
reference & flip () noexcept
operator bool () const noexcept
reference & operator= (bool __x) noexcept
reference & operator= (const reference &__j) noexcept
bool operator~ () const noexcept

  Friends

class bitset

Detailed Description

  template<size_t _Nb>
class std::bitset< _Nb >::reference"This encapsulates the concept of a single bit. An instance of this class is a proxy for an actual bit; this way the individual bit operations are done as faster word-size bitwise instructions.

Most users will never need to use this class directly; conversions to and from bool are automatic and should be transparent. Overloaded operators help to preserve the illusion.

(On a typical system, this bit reference is 64 times the size of an actual bit. Ha.)

Author

Generated automatically by Doxygen for libstdc++ from the source code.